package cn.com.infosec.crypto.params;

import cn.com.infosec.crypto.CipherParameters;
import java.security.SecureRandom;

public class ParametersWithRandom implements CipherParameters {
   private SecureRandom random;
   private CipherParameters parameters;

   public ParametersWithRandom(CipherParameters parameters, SecureRandom random) {
      this.random = random;
      this.parameters = parameters;
   }

   public ParametersWithRandom(CipherParameters parameters) {
      ParametersWithRandom var10000 = this;
      SecureRandom var2;
      var2 = new SecureRandom.<init>();
      var10000.<init>(parameters, var2);
   }

   public SecureRandom getRandom() {
      return this.random;
   }

   public CipherParameters getParameters() {
      return this.parameters;
   }
}
